Subject: bug#62677: 30.0.50; Need to find a better name for flyspell-prog-mode

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Sep 2023 14:19:34 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 5 Sep 2023 13:57:50 -0700
> Cc: Jim Porter <[email-masked]>, [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> > This mode is geared toward text modes.  In buffers that contain
> >> > code, ‘flyspell-prog-mode’ is usually a better choice.
> >
> > The above is inaccurate as well: text-derived modes for markup text
> > can also benefit.  Basically, anything where you have keywords that
> > are not necessarily words in a human language.
> 
> FWIW, that's actually not been clear to me.  I've only use it in
> `prog-mode' derived modes so far.
> 
> But perhaps this goes even deeper:
> 
> I'm not sure why I can't just enable `flymake-mode' and have it do the
> right thing, which IMO would be to enable `flymake-prog-mode' in modes
> where it might make sense to have that behavior.  Major modes can tell
> us what makes sense themselves, and if there are modes where the
> decision is not clear-cut, they could make it into a user option.
> 
> Enabling something like `flymake-global-mode' and have it just work
> would be pretty neat.

I guess you mean flyspell-mode.

Yes, having the command automatically DTRT is always best.  So if we
can do that in at least some significant proportion of cases, I think
we should.